Index: trunk/expressoMail1_2/js/TreeS.js
===================================================================
--- trunk/expressoMail1_2/js/TreeS.js	(revision 4772)
+++ trunk/expressoMail1_2/js/TreeS.js	(revision 5134)
@@ -18,6 +18,6 @@
 		tree.style.position   = "absolute";
 		tree.style.left 	  = "0px";
+		tree.style.width 	  = "0px";
 		tree.style.top 		  = "0px";
-		tree.style.width 	  = "0px";
 		tree.style.height 	  = "0px";
 		tree.id				  = "window_tree";
@@ -32,9 +32,9 @@
 		div_buttons.style.left = "440px";
 		div_buttons.style.top = "20px"		
-		div_buttons.style.width = "130px";
+		div_buttons.style.width = "10px";
 		div_buttons.style.height = "214px";
 		div_buttons.innerHTML = "<table border='0' cellpading='0' cellspacing='0'>"+
 							    "<tr>"+
-							    "<td><input type='button' value='"+get_lang('New folder')+"' onclick='proxy_mensagens.proxy_create_folder()'></td>"+
+							    "<td><input type='button' value='"+get_lang('New folder')+"' onclick='proxy_mensagens.proxy_create_folder()' "+ (is_ie ? "style=\"width:85px\"": "") +"></td>"+
 							    "</tr>"+
 							    "<tr>"+
@@ -42,9 +42,9 @@
 							    "</tr>"+
 							    "<tr>"+
-							    "<td><input type='button' value='"+get_lang('Rename folder')+"' onclick='proxy_mensagens.proxy_rename_folder()'></td>"+
+							    "<td><input type='button' value='"+get_lang('Rename folder')+"' onclick='proxy_mensagens.proxy_rename_folder()' "+ (is_ie ? "style=\"width:108px\"": "") +"></td>"+
 							    "</tr>"+
 							    "<tr>"+
                                                             //Por Bruno Costa(bruno.vieira-costa@serpro.gov.br - Chama o proxy_mensagens para que uma pasta local também possa ser exportada
-                                                            "<td><input type='button' value='"+get_lang('Export messages')+"' onclick='proxy_mensagens.proxy_export_all_msg()'></td>"+
+                                                            "<td><input type='button' value='"+get_lang('Export messages')+"' onclick='proxy_mensagens.proxy_export_all_msg()' "+ (is_ie ? "style=\"width:130px\"": "") +"></td>"+
 							    "</tr>"+
 							    "<tr><td><br><br><br><br><br></td></tr>"+
@@ -176,9 +176,12 @@
 				if(data[i].folder_parent != 'root') {
 					var node_parent = folders_tree.getNodeById(data[i].folder_parent);
+					if(typeof node_parent != 'undefined'){
 					node_parent.plusSign = true;
 					folders_tree.alter(node_parent);
-				}
-				
+				
+					}
+				}
 				folders_tree.add(nn,data[i].folder_parent);
+				
 			}
 		}
Index: trunk/expressoMail1_2/js/globals.js
===================================================================
--- trunk/expressoMail1_2/js/globals.js	(revision 4802)
+++ trunk/expressoMail1_2/js/globals.js	(revision 5134)
@@ -46,3 +46,3 @@
 var denyFileExtensions = new Array('exe','com','reg','chm','cnf','hta','ins','jse','job','lnk','pif','src','scf','sct','shb','vbe','vbs','wsc','wsf','wsh','cer','its','mau','','mda','mar','mdz','prf','pst');
 var mobile_device = false;
-
+var previous = 0;
Index: trunk/expressoMail1_2/js/filter.js
===================================================================
--- trunk/expressoMail1_2/js/filter.js	(revision 4855)
+++ trunk/expressoMail1_2/js/filter.js	(revision 5134)
@@ -51,7 +51,6 @@
 			var handler_sieve = function(data)
 			{
-				if(data.toString().indexOf('Error:') == 0) 
-				{
-
+				if (data.toString().indexOf('Error:') == 0) 
+				{
 					_this.criticalError = true;
 					alert(get_lang('The filters service is out of service, try again later...'));
@@ -69,15 +68,12 @@
 					}
 				}
-                                if(typeof(data.vacation[0]) == 'undefined'){
-                                    _this.out_officeR = "";
-                                }
-                                else
-                                    _this.out_officeR = url_decode_s(data.vacation[0]);
+				_this.out_officeR = data.vacation[0];
+				_this.out_officeR = _this.out_officeR ? trim(_this.out_officeR.toString().replace("\n","")) : "";
+				if(data.mode.length > 0){_this.mode_in = data.mode[0];}
 				}
 				catch(e){
 					_this.criticalError = true;
-					alert(get_lang('==> The filters service is out of service, try again later...'));
-				}
-				if(data.mode.length > 0){_this.mode_in = data.mode[0];}
+					alert(get_lang('The filters service is out of service, try again later...'));
+				}
 				if (typeof(posHandler) == 'function')  
 					posHandler(param);  
@@ -93,4 +89,5 @@
 		Element('form_body').innerHTML = "";
 		Element('form_buttons').style.display = '';
+		Element('Edit_form_buttons').style.display = 'none';
 		filters.mount_list();
 		this.ac_form = "";		
@@ -109,4 +106,6 @@
 		Element('form_body').innerHTML = "";
 		Element('form_body').innerHTML = this.forms_();
+		Element('Edit_form_buttons').style.display = '';
+		Element('form_buttons').style.display = 'none';
 		this.ind = pos;		
 		
@@ -221,4 +220,7 @@
 			var mark_values = this.values[fields[8]].split(",");
 			for(var i=0; i < mark_values.length; i++){
+				if( mark_values[i] == "checkBox1" || mark_values[i] == "checkBox2"){
+					document.getElementById(mark_values[i]).checked = true;
+				}
 				if( mark_values[i] == "checkBox2"){
 					document.getElementById(mark_values[i]).checked = true;
@@ -313,4 +315,7 @@
 			 var form = "";
 				 form = "<div id='div_rule' style='display:none'><table id='table_rule' border='0' cellpading='0' cellspacing='0' width='100%'>"+
+						"<tr><td colspan='2'><input type='checkBox' id='checkBox1' name='checkb'>"+get_lang('Also check message against next rule') + "</td></tr>"+
+						//"<tr><td colspan='2'><input type='checkBox' id='checkBox2' onclick='filter.disable_radio3();' name='checkb'>"+get_lang('Keep a copy of the message at your Inbox')+ "</td><tr>"+
+						"<tr><td colspan='2'><hr size='1' width='100%'></td></tr><tr>"+
 					 "<tr><td colspan='2'><b>"+get_lang("Criteria")+":</b></td></tr><tr>"+
 					 "<td rowspan='4' width='20%'>"+get_lang('Find items')+":<br><select id='select_rules' name='select_rules'>"+
@@ -338,12 +343,12 @@
 						//"<tr><td colspan='3'><br>"+get_lang('Subject')+".: <input type='text' id='field7' name='field7' size='35' maxlength='200'/></td></tr>"+
 						"<tr><td colspan='3'><br>"+get_lang('With the following message')+".:</td>"+
-	 					"</tr><tr><td colspan='3'><textarea id='field8' onkeypress='return charCounter(this);' rows='8' cols='50'></textarea></td></tr></table></div>" +
+	 					"</tr><tr><td colspan='3'><textarea id='field8' rows='8' cols='50'></textarea></td></tr></table></div>" +
 						"<div id='div_voipFilter' style='display:none'>" +
 						"<br/><table id='table_voipFilter'>" +
 						"<tr><td>"+get_lang("Type the subject of the message for receiving a phone warning")+" .:"+
 						"</td></tr><tr><td><input type='text' id='field9' size='50' maxlength='200'>" +
-						"</td></tr><br/></table></div>" +
-				 		"<span align='right'><input type='button' value="+get_lang("Back")+" onclick='filter.form_m()'></span>"+
-				 		"<span align='right'><input type='button' value="+get_lang("Save")+" onclick='filter.saved_rules()'></span>";
+						"</td></tr><br/></table></div>";// +
+				 		//"<span align='right'><input type='button' value="+get_lang("Back")+" onclick='filter.form_m()'></span>"+
+				 		//"<span align='right'><input type='button' value="+get_lang("Save")+" onclick='filter.saved_rules()'></span>";
 		return form;
 	}
@@ -487,8 +492,4 @@
 				//Save outoffice in prefs:
                                 connector.loadScript("preferences");
-				if(typeof(prefe) == 'undefined'){
-					setTimeout("filter.delete_r();",500);
-                                }
-				else
 					prefe.save("outoffice", _this.out_officeF);
 			}
@@ -573,11 +574,16 @@
 			}
 
-			if(LTrim(Element("field1").value) == "" && LTrim(Element("field2").value) == "" && LTrim(Element("field3").value) == "" && Element("field4").value == "")
+			if(LTrim(Element("field1").value) == "" && LTrim(Element("field2").value) == "" && LTrim(Element("field3").value) == "" && LTrim(Element("field4").value).length == 0)
 			{
 				alert(get_lang("Define some criterion to the fields Sender, To and Subject with more than 3 characters!"));
 				return false;
 			}
-
-			if((LTrim(Element("field1").value).length <= 3) && (LTrim(Element("field2").value).length <= 3) && (LTrim(Element("field3").value).length <= 3 && Element("field4").value == "")){
+			if((LTrim(Element("field1").value).length <= 3) && LTrim(Element("field1").value) != ""){
+				alert(get_lang("Define some criterion to the fields Sender, To and Subject with more than 3 characters!"));
+				return false;
+			}if((LTrim(Element("field2").value).length <= 3) && LTrim(Element("field2").value) != ""){
+				alert(get_lang("Define some criterion to the fields Sender, To and Subject with more than 3 characters!"));
+				return false;
+			}if((LTrim(Element("field3").value).length <= 3) && LTrim(Element("field3").value) != ""){
 				alert(get_lang("Define some criterion to the fields Sender, To and Subject with more than 3 characters!"));
 				return false;
@@ -649,4 +655,7 @@
 			}
 			var opts = "";
+			if(Element("checkBox1").checked == true){
+                            opts += ",checkBox1";
+                        }
 			if(Element("checkBox2").checked == true){
                             opts += ",checkBox2";
@@ -691,4 +700,8 @@
 				return false;
 			}
+			else if(fld_men.value.length > 10000){
+				alert(get_lang("Your message have %1 characters, the message needs to have less then 10000 characters",fld_men.value.length));
+				return false;
+			}
 			this.out_officeR = mount_rule;
 		}
@@ -740,4 +753,5 @@
 		
 		Element('form_buttons').style.display = '';
+		Element('Edit_form_buttons').style.display = 'none';
 		this.reload_rules();
 	}
@@ -824,5 +838,4 @@
 	}
 
-    connector.loadScript("preferences");
 // build object
    var filter;
